DELIMITER ??
DROP PROCEDURE IF EXISTS SeqImport??
CREATE PROCEDURE SeqImport()
BEGIN
    INSERT INTO `tb_task` select * from tb_export_task; 
    INSERT INTO `tb_seq` select * from tb_export_seq;
    INSERT INTO `tb_chromatogram` select * from tb_export_chromatogram;
    INSERT INTO `tb_chromatogramext` select * from tb_export_chromatogramext;
    INSERT INTO `tb_chromdatas` select * from tb_export_chromdatas;
    INSERT INTO `tb_chromdatasslopecurve` select * from tb_export_chromdatasslopecurve ;
    INSERT INTO `tb_chromintegralnew` select * from tb_export_chromintegralnew;
	  INSERT INTO `tb_chromintegralop` select * from tb_export_chromintegralop ;
		INSERT INTO `tb_chrommedmain` select * from tb_export_chrommedmain ;
   	INSERT INTO `tb_chrommed` select * from tb_export_chrommed ;
	  INSERT INTO  `tb_peaks` select * from tb_export_peaks;
	  INSERT INTO  `tb_peakridings` select * from tb_export_peakridings;
	  INSERT INTO  `tb_peakfpoint` select * from tb_export_peakfpoint;
    INSERT INTO  `tb_peakshape` select * from tb_export_peakshape;
	  INSERT INTO  `tb_peakshape_peaks` select * from tb_export_peakshape_peaks;
	  INSERT INTO  `tb_calibrate` select * from tb_export_calibrate;
	  INSERT INTO  `tb_calibratechrom` select * from tb_export_calibratechrom;
    INSERT INTO  `tb_calibratechrompeak` select * from tb_export_calibratechrompeak;
    INSERT INTO  `tb_calibratechrompeakunknow` select * from tb_export_calibratechrompeakunknow;
    INSERT INTO  `tb_calibratechromunknow` select * from tb_export_calibratechromunknow ;
    INSERT INTO  `tb_calibratecompoundinfo` select * from tb_export_calibratecompoundinfo;
    INSERT INTO  `tb_calibratecompoundinfoquantify` select * from tb_export_calibratecompoundinfoquantify;
    INSERT INTO  `tb_useroperate` select * from tb_export_useroperate;
END??

DROP PROCEDURE IF EXISTS clearSeqImport??
CREATE PROCEDURE clearSeqImport()
BEGIN
    DELETE FROM tb_task where SeqGuid in (select guid from tb_export_seq); 
    DELETE FROM tb_seq where Guid in (select guid from tb_export_seq);
    DELETE FROM tb_chromatogram where SeqGuid in (select guid from tb_export_seq);
    DELETE FROM tb_chromatogramext where chromguid in (select chromguid from tb_export_chromatogramext);
    DELETE FROM tb_chromdatas where chromguid in (select guid from tb_export_chromatogram);
    DELETE FROM tb_chromdatasslopecurve where chromguid in (select guid from tb_export_chromatogram);
    DELETE FROM tb_chromintegralnew where chromguid in (select guid from tb_export_chromatogram);
    DELETE FROM tb_chromintegralop where chromguid in (select guid from tb_export_chromatogram);
    DELETE FROM tb_chrommedmain where chromguid in (select guid from tb_export_chromatogram);
    DELETE FROM tb_chrommed where AnalyseGuid in (select guid from tb_export_chrommedmain);

    DELETE FROM tb_peaks where chromguid in (select guid from tb_export_chromatogram);
    DELETE FROM tb_peakridings where chromguid in (select guid from tb_export_chromatogram);
    DELETE FROM tb_peakfpoint where chromguid in (select guid from tb_export_chromatogram);
    DELETE FROM tb_peakshape where chromguid in (select guid from tb_export_chromatogram);
    DELETE FROM tb_peakshape_peaks where shapeguid in (select shapeguid from tb_export_peakshape);
    DELETE FROM tb_calibrate where chromguid in (select guid from tb_export_chromatogram);
    DELETE FROM tb_calibratechrom where calibrateguid in (select guid from tb_export_calibrate);
    DELETE FROM tb_calibratechrompeak where calibrateguid in (select guid from tb_export_calibrate);
    DELETE FROM tb_calibratechrompeakunknow where calibrateguid in (select guid from tb_export_calibrate);
    DELETE FROM tb_calibratechromunknow where calibrateguid in (select guid from tb_export_calibrate);
    DELETE FROM tb_calibratecompoundinfo where calibrateguid in (select guid from tb_export_calibrate);
    DELETE FROM tb_calibratecompoundinfoquantify where calibrateguid in (select guid from tb_export_calibrate);
    DELETE FROM tb_useroperate where classGuid in (select classGuid from tb_export_useroperate);

END??

DROP PROCEDURE IF EXISTS droptaskimport??
CREATE PROCEDURE droptaskimport()
BEGIN
    DROP TABLE IF EXISTS `tb_export_task` ;
    DROP TABLE IF EXISTS `tb_export_seq`;
    DROP TABLE IF EXISTS `tb_export_chromatogram` ;
    DROP TABLE IF EXISTS `tb_export_chromatogramext` ;
    DROP TABLE IF EXISTS `tb_export_chromdatas` ;
    DROP TABLE IF EXISTS `tb_export_chromdatasslopecurve`;
    DROP TABLE IF EXISTS `tb_export_chromintegralnew` ;
	  DROP TABLE IF EXISTS `tb_export_chromintegralop` ;
		DROP TABLE IF EXISTS `tb_export_chrommedmain` ;
		DROP TABLE IF EXISTS `tb_export_chrommed` ;

	  DROP TABLE IF EXISTS `tb_export_peaks` ;
	  DROP TABLE IF EXISTS `tb_export_peakridings` ;
	  DROP TABLE IF EXISTS `tb_export_peakfpoint` ;
	  DROP TABLE IF EXISTS `tb_export_peakshape` ;
	  DROP TABLE IF EXISTS `tb_export_peakshape_peaks` ;

	  DROP TABLE IF EXISTS `tb_export_calibrate`;
	  DROP TABLE IF EXISTS `tb_export_calibratechrom` ;
    DROP TABLE IF EXISTS `tb_export_calibratechrompeak` ;
    DROP TABLE IF EXISTS `tb_export_calibratechrompeakunknow` ;
    DROP TABLE IF EXISTS `tb_export_calibratechromunknow` ;
    DROP TABLE IF EXISTS `tb_export_calibratecompoundinfo` ;
    DROP TABLE IF EXISTS `tb_export_calibratecompoundinfoquantify` ;
    DROP TABLE IF EXISTS `tb_export_useroperate` ;
END??

DELIMITER ;
